GNU bug report logs - #51779
[PATCH] Add phonesim 1.21

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Demis Balbach <db@HIDDEN>; Keywords: patch; dated Thu, 11 Nov 2021 22:26:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 51779 <at> debbugs.gnu.org:


Received: (at 51779) by debbugs.gnu.org; 23 Nov 2021 18:55:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 13:55:34 2021
Received: from localhost ([127.0.0.1]:52267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpax4-00007G-CH
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 13:55:34 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:18812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1mpax2-000070-C6
 for 51779 <at> debbugs.gnu.org; Tue, 23 Nov 2021 13:55:33 -0500
Received: from smtp202.mailbox.org (smtp202.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:4:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4HzCy54SwxzQkBc
 for <51779 <at> debbugs.gnu.org>; Tue, 23 Nov 2021 19:55:25 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1637693723;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=FZKcjb9fuG76Lclb82a3CLY96IfCpYNUySMCRozUC3U=;
 b=VquLWQAXAwdReZC+IHcK1YAlqiR1JBRUrJwW9rmMiXJyIRv2O/5TrPCUK51cccQBoEhzgt
 04mOmfs0WpW6635f8Pl1RmFYKsICpmKZdPhNHUqODg3IG7d1PQ9WZgnUj7gAiqBmhjgl0G
 io6mGG+mKMtVEmCphMusqLwNdr5sJuFycE5dvS2pchcopuJsndNO3gxwP2tuQo/A27ZSOz
 uRGgLqrG1WIeijAuO3e3YM7C2x+nK34b7PYD/bVVy+qPDhVxin0QP6RdWirwficJyNBzGC
 p+T/w0qJvyZ7g9vrd2Ja1xYgZGh2yi9PiCypZOseTIGO72uQ1ozTzHsjlNjwhQ==
From: Demis Balbach <db@HIDDEN>
To: 51779 <at> debbugs.gnu.org
Subject: [PATCH] Add phonesim 1.21
Date: Tue, 23 Nov 2021 19:55:21 +0100
Message-ID: <87ilwibt2e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  This is the new patch after changing the commit message. *
 gnu/packages/telephony.scm (phonesim): Add new variable. ---
 gnu/packages/telephony.scm
 | 33 +++++++++++++++++++++++++++++++++ 1 file changed, 33 insertions(+) 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.171 listed in list.dnswl.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 51779
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

This is the new patch after changing the commit message.

* gnu/packages/telephony.scm (phonesim): Add new variable.
---
 gnu/packages/telephony.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index a2765ee99f..6e3c69ce91 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -20,6 +20,7 @@
 ;;; Copyright =C2=A9 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright =C2=A9 2021 LibreMiami <packaging-guix@HIDDEN>
+;;; Copyright =C2=A9 2021 Demis Balbach <db@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -87,6 +88,7 @@ (define-module (gnu packages telephony)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages flex)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix utils)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -94,6 +96,37 @@ (define-module (gnu packages telephony)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system qt))

+(define-public phonesim
+  (package
+    (name "phonesim")
+    (version "1.21")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.kernel.org/pub/scm/network/ofono/pho=
nesim.git")
+                    (commit "a7c844d45b047b2dae5b0877816c346fce4c47b9")))
+              (sha256
+               (base32
+                "0rc1c2vr03dmi1dr3skj57v77ga9c22g29xs1qiphqms4isby9cq"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:configure-flags
+       (list "--enable-maintainer-mode"
+             "CC=3D" ,(cc-for-target))))
+    (native-inputs
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("qtbase" ,qtbase-5)
+       ("qtdeclarative" ,qtdeclarative)))
+    (synopsis "Phone Simulator for modem testing")
+    (description "Phonesim is a modem emulator that oFono uses for develop=
ment
+and testing. This allows oFono to be used by any host without requiring sp=
ecial
+GSM (or other) hardware.")
+    (home-page "https://git.kernel.org/pub/scm/network/ofono/phonesim.git")
+    (license license:gpl2+)))
+
 (define-public libilbc
   (package
     (name "libilbc")
--
2.34.0

Cheers,

Demis.




Information forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.

Message received at 51779 <at> debbugs.gnu.org:


Received: (at 51779) by debbugs.gnu.org; 23 Nov 2021 18:38:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 13:38:04 2021
Received: from localhost ([127.0.0.1]:52261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpag7-00084U-UD
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 13:38:04 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:46604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1mpag6-00083x-7s
 for 51779 <at> debbugs.gnu.org; Tue, 23 Nov 2021 13:38:03 -0500
Received: from mout-p-103.mailbox.org (mout-p-103.mailbox.org [80.241.56.161])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4HzCYv6kDyzQkcj
 for <51779 <at> debbugs.gnu.org>; Tue, 23 Nov 2021 19:37:55 +0100 (CET)
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4HzCYv6TJfzQj97
 for <51779 <at> debbugs.gnu.org>; Tue, 23 Nov 2021 19:37:55 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1637692675;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=9LsY89Xln0MgHmcQyS1RX6oISrBZM5MeQtg9Xyzhg0E=;
 b=H6KZ6vc0eFa0fhxpZn4cBfWJdqKTQlh37yuk1mor5puuEhrAYnQU+c2vQT0Yb9uaYyVKgn
 tVrhZkx17pzI9sh3ilpsFsSL27HKtR6IABGYfSDn+6YyxrAvZX30PxWlTQyHZpEZ1I1r9N
 viyTbxeE2Xy9y6cXABaRI2TUM8EGfm/kA+soDofcmTJYDgMFl0GE3wE3JDtEaLh5HT8lFK
 RdnYfeGJen0DkSwHDpL/u026YQ4Ipxa46YRxvNABU+ehH1nByJdykJKqLDaSZ2bEpFMtMR
 tBGj+S5u2yx6UlTrVKmX/uvNBpxKcJ8NrkUwDUF+Byo31Iajvth9RzfRmGnYAA==
From: Demis Balbach <db@HIDDEN>
To: 51779 <at> debbugs.gnu.org
Subject: [PATCH] Add phonesim 1.21
Date: Tue, 23 Nov 2021 19:37:51 +0100
Message-ID: <87lf1era4g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > You can take a look at the complete commit messages in the
 git log to > get a feel for what needs to be included in them. Thank you
 Josselin. I'm still quite unfamiliar with patches through mailing lists: Do
 I have to change anything in this patch for it to get merged, or should I
 just keep the naming convention in mind for future patches? 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [80.241.56.152 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.152 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 51779
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)


> You can take a look at the complete commit messages in the git log to
> get a feel for what needs to be included in them.

Thank you Josselin.

I'm still quite unfamiliar with patches through mailing lists: Do I have
to change anything in this patch for it to get merged, or should I just
keep the naming convention in mind for future patches?

Greetings,

Demis.




Information forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.

Message received at 51779 <at> debbugs.gnu.org:


Received: (at 51779) by debbugs.gnu.org; 13 Nov 2021 10:01:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 05:01:34 2021
Received: from localhost ([127.0.0.1]:46560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlpqo-00016q-C2
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 05:01:34 -0500
Received: from jpoiret.xyz ([206.189.101.64]:42152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mlpqk-00016g-Ff
 for 51779 <at> debbugs.gnu.org; Sat, 13 Nov 2021 05:01:33 -0500
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id E51AA184D67;
 Sat, 13 Nov 2021 10:01:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1636797688;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=ocBxfoiyI/Afd4aUQDNK3nrzD5JjQ+oCY+au/fBu6CQ=;
 b=HpBQTRT5F3Tbye2mdEFlRKoRmdaL8yF46jGhpZL5PksBatmKRtDHS8jRJKtQmM3I6IiQeu
 jj2aCoPSLi9EFp3Jq2VXf+dluHmprxejqKrn/TkBUzFdCuHxHKPb00ZUlyR7Vtx6P0tP/E
 6HysqWq141KmmcISRsOg/0P26fDyjHVkoWR4jxkwwdtedQj5tpJNYZJVngJBFCB48m1doa
 1OlWsGr94BnFAGWQK+pyp0NSLxHHk4Ys5B5TOnYQ8j2Jv9iyuZx2SXicTlyLiPbuyGrELc
 J0y/fFC31ij70PYqMqkJCKMZ9I9xfBNqGh4e2/Kqv9YzEDGCZtRl6Fjy3FTAuA==
From: Josselin Poiret <dev@HIDDEN>
To: db@HIDDEN, 51779 <at> debbugs.gnu.org
Subject: Re: [bug#51779] [PATCH] Add phonesim 1.21
In-Reply-To: <006401d7d7fa$27f236e0$77d6a4a0$@minikn.xyz>
References: <20211111221457.6025-1-db@HIDDEN>
 <006401d7d7fa$27f236e0$77d6a4a0$@minikn.xyz>
Date: Sat, 13 Nov 2021 10:01:26 +0000
Message-ID: <87r1bk9xxl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello Demis, About the ChangeLog style, it is documented at
 [1], and it mostly concerns the contents of the commit message. In the case
 of this patch, I think it should be --8<cut herestart>8--- gnu: Add phonesim.
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 51779
Cc: dev@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Demis, About the ChangeLog style, it is documented at
    [1], and it mostly concerns the contents of the commit message. In the case
    of this patch, I think it should be --8<cut herestart>8--- gnu: Add phonesim.
    
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hello Demis,

About the ChangeLog style, it is documented at [1], and it mostly
concerns the contents of the commit message.  In the case of this patch,
I think it should be

--8<---------------cut here---------------start------------->8---
gnu: Add phonesim.

* gnu/packages/telephony.scm (phonesim): Add new variable.
--8<---------------cut here---------------end--------------->8---

You can take a look at the complete commit messages in the git log to
get a feel for what needs to be included in them.

As for the patch, it looks good to me, but I'm no expert yet.  Glad to
see your first contribution though!

[1] https://www.gnu.org/prep/standards/html_node/Change-Logs.html

Best,
Josselin Poiret




Information forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.

Message received at 51779 <at> debbugs.gnu.org:


Received: (at 51779) by debbugs.gnu.org; 12 Nov 2021 19:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 14:19:08 2021
Received: from localhost ([127.0.0.1]:45992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlc4p-0003Bx-Ne
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2021 14:19:08 -0500
Received: from mout-p-103.mailbox.org ([80.241.56.161]:43836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1mlc4n-0003BR-WB
 for 51779 <at> debbugs.gnu.org; Fri, 12 Nov 2021 14:19:06 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4HrT0M56RMzQkrd
 for <51779 <at> debbugs.gnu.org>; Fri, 12 Nov 2021 20:18:59 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1636744737;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=FEK+sJAODOrGj4D5oXzqXbAVNWaw/XEpUZ2AmEdATis=;
 b=rCs3kGLxh1LrpmwKC3czaV7V82+Ct+8DS3CdZUMmxYZCpG7eBxiGh4mXH+OhoqxB+W/iAm
 7sqcJ4WgKMr7Oa1nnsutxsgw18f0tFgOk6OTwf11G+hK4dmVP8JKwuppDY4apzdxWXnlM2
 YqClIAoGh8XDwJSvLUdwoyI5m+5dVT1y6NaGcr71LUP6LjuJVjkAUuCoU1Awk4CsbJmEIs
 QVNgVnAKnLbHwxShWYml+jwrKXDbaHZ3mZ40fIUlyScgXo5kfIwEvcqkttv+jESXiZ2fhp
 nSHbUa+LI6BvDhOFrm8xed/88rpViB0u1221tvK98nriyFz+6zyCGloMmyxloA==
From: <db@HIDDEN>
To: <51779 <at> debbugs.gnu.org>
Subject: [PATCH] Add phonesim 1.21
Date: Fri, 12 Nov 2021 20:19:03 +0100
Message-ID: <006401d7d7fa$27f236e0$77d6a4a0$@minikn.xyz>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
Thread-Index: AdfX+huKqlCSGNMpRI+o3RlVhdFxlw==
Content-Language: de
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello Tobias,
 thank you for your input. This is my first attempt
 at submitting a patch through a mailing list. I expected some mistakes. On
 top of that, my guile is bad as well (I'm just starting with it). 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [80.241.56.161 listed in wl.mailspike.net]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.161 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 51779
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

Hello Tobias,

thank you for your input. This is my first attempt at submitting a patch
through a mailing list. I expected some mistakes. On top of that, my
guile is bad as well (I'm just starting with it).

> Check the git log for commits adding new packages for the expected
> 'change-log-style' commit message.

Thanks. I think it should have been `[PATCH] gnu: Add phonesim'. How can
I change that?

> This is unusual enough to require a comment explaining why it's here.

The short answer is - I don't know. I copied it from the source:

https://git.kernel.org/pub/scm/network/ofono/phonesim.git/tree/bootstrap-con
figure

I should also mention that I do not have any experience with the
application. I never used it nor do I really understand what it does. I
just submitted a patch because it is part of what needs to be done in
order to get bluetooth headsets fully working in Guix (with microphone),
see

https://wiki.archlinux.org/title/Bluetooth_headset#HFP_not_working_with_Puls
eAudio

This is beside the point, but I'm mentioning it to give a little
background why I may not be able to give insight on why things are done
a certain way.

That being said, here is the new patch version:

---
 gnu/packages/telephony.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index a2765ee99f..6e3c69ce91 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -20,6 +20,7 @@
 ;;; Copyright C 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright C 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright C 2021 LibreMiami <packaging-guix@HIDDEN>
+;;; Copyright C 2021 Demis Balbach <db@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -87,6 +88,7 @@ (define-module (gnu packages telephony)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages flex)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix utils)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -94,6 +96,37 @@ (define-module (gnu packages telephony)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system qt))

+(define-public phonesim
+  (package
+    (name "phonesim")
+    (version "1.21")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url
"https://git.kernel.org/pub/scm/network/ofono/phonesim.git")
+                    (commit "a7c844d45b047b2dae5b0877816c346fce4c47b9")))
+              (sha256
+               (base32
+                "0rc1c2vr03dmi1dr3skj57v77ga9c22g29xs1qiphqms4isby9cq"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:configure-flags
+       (list "--enable-maintainer-mode"
+             "CC=" ,(cc-for-target))))
+    (native-inputs
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("qtbase" ,qtbase-5)
+       ("qtdeclarative" ,qtdeclarative)))
+    (synopsis "Phone Simulator for modem testing")
+    (description "Phonesim is a modem emulator that oFono uses for
development
+and testing. This allows oFono to be used by any host without requiring
special
+GSM (or other) hardware.")
+    (home-page "https://git.kernel.org/pub/scm/network/ofono/phonesim.git")
+    (license license:gpl2+)))
+
 (define-public libilbc
   (package
     (name "libilbc")
--
2.33.0

Greetings,

Demis.





Information forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.

Message received at 51779 <at> debbugs.gnu.org:


Received: (at 51779) by debbugs.gnu.org; 12 Nov 2021 15:05:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 10:05:42 2021
Received: from localhost ([127.0.0.1]:45719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlY7Z-00054F-WB
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2021 10:05:42 -0500
Received: from tobias.gr ([80.241.217.52]:42796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mlY7X-000544-65
 for 51779 <at> debbugs.gnu.org; Fri, 12 Nov 2021 10:05:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=UneAg4vG2oV6Y
 +u3at+kU1CwL3sbLL4/2EGRSG0QBcs=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=hqskmcYY4skuRsZdpQu7IOJcSc5p8XFq73ERON+g5
 BVXPTg/6/vBJMiPGKYtX4PieSNcPyeO8kjr3e9whzyEg2sMio6xqn6ZcT0UQxiYNbIBbEG
 WmlOfyU3c4SnF0qL9/uifGnmCYhbaq23oIGK4bv3jz+7n7uRvnb6ErY39+AGWNg+3MVNBE
 bceiH7vcU4Tm8gNWANNNof45ueVaEprFBJfXrCVzjgBGp2lm5dQYtaB7CBfQMH8pt3zN/7
 gBH9hMnvpouj9sTfGPsInzjOO8K7qxFVqRVI2i+cjLp0k6N8JDF4TakonWgcK4Ap3G8CUK
 7tDpqkDKiXcxY33fYM9Ww==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id 74abcd8d;
 Fri, 12 Nov 2021 15:05:36 +0000 (UTC)
MIME-Version: 1.0
Date: Fri, 12 Nov 2021 16:05:35 +0100
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Demis Balbach <db@HIDDEN>
Subject: Re: [bug#51779] [PATCH] Add phonesim 1.21
In-Reply-To: <20211111221457.6025-1-db@HIDDEN>
References: <20211111221457.6025-1-db@HIDDEN>
Message-ID: <edb6cf8cfa247f21082c2ed48e62aea1@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51779
Cc: 51779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Demis,

Thanks for the patch!  Here are a few low-hanging thoughts (not a full 
review):

Check the git log for commits adding new packages for the expected 
'change-log-style' commit message.

On 2021-11-11 23:14, Demis Balbach wrote:
> +     `(#:configure-flags
> +       (list "--enable-maintainer-mode"

This is unusual enough to require a comment explaining why it's here.

> +             "CC=gcc")))

This breaks cross-compilation: the cross GCC is called something like 
'x86_64-blah-bloo-gcc', not 'gcc'.  There's a helper in (guix utils) 
IIRC that returns the right cc for the target:

   (string-append "CC=" ,(cc-for-target))

> +    (description "Phone Simulator for modem testing")

This should be at least several lines of complete sentences ("Phonesim 
simulates blah...").

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2021 22:25:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 17:25:29 2021
Received: from localhost ([127.0.0.1]:42511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlIVP-0006EI-QW
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2021 17:25:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:50590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1mlILh-0005xM-Ms
 for submit <at> debbugs.gnu.org; Thu, 11 Nov 2021 17:15:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47122)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <db@HIDDEN>) id 1mlILh-0000aE-Ib
 for guix-patches@HIDDEN; Thu, 11 Nov 2021 17:15:13 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:12550)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <db@HIDDEN>) id 1mlILf-0002Rs-6P
 for guix-patches@HIDDEN; Thu, 11 Nov 2021 17:15:13 -0500
Received: from smtp102.mailbox.org (smtp102.mailbox.org [80.241.60.233])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4Hqwy21x33zQkBq;
 Thu, 11 Nov 2021 23:15:06 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1636668904;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=nSuEiihcXxagoTSn8qnqhYQMt9Nuuaq9hsYREtEflWc=;
 b=A5+Tke58LdxuinMLD4MJzYkbtl8sfTsnD6AJhCzQx8xteWnYPaJsdUYjCmzJh+gckZGTMZ
 lE6Dt8U/Bw+M19tQhybPVXd1noGR3mxbhyKfLKajY+BFQkvWrozb8FgfyVAbnb8qANuVqK
 4/NyzR3hRPaFICJK8h52uT6HZhxoyKUZ50IUZ5IlYIYVzJvz0shNkvERFwt5A67n3qqyTQ
 Ikt4AeLgaiUm1DSFc7cKVzRMqQYGYYQwMBrl6+wLAnlzgQOm2iboO5HnnvQvElW6ZWcUZh
 6dopmvC865ok6gUYpcrD9eVwgbWFjU9EpLePbQq43A8CSJnj6SSOw0GdYVlipg==
From: Demis Balbach <db@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Add phonesim 1.21
Date: Thu, 11 Nov 2021 23:14:57 +0100
Message-Id: <20211111221457.6025-1-db@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=80.241.56.172; envelope-from=db@HIDDEN;
 helo=mout-p-202.mailbox.org
X-Spam_score_int: -7
X-Spam_score: -0.8
X-Spam_bar: /
X-Spam_report: (-0.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FROM_SUSPICIOUS_NTLD=0.001, FROM_SUSPICIOUS_NTLD_FP=2, PDS_OTHER_BAD_TLD=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Nov 2021 17:25:15 -0500
Cc: Demis Balbach <db@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  --- gnu/packages/telephony.scm | 30 ++++++++++++++++++++++++++++++
    1 file changed, 30 insertions(+) diff --git a/gnu/packages/telephony.scm
   b/gnu/packages/telephony.scm index a2765ee99f..77914fb4d7 100644 --- a/gnu/packages/telephony.scm
    +++ b/gnu/packages/telephony.scm @@ -20,6 +20,7 @@ ;;; Copyrig [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

---
 gnu/packages/telephony.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index a2765ee99f..77914fb4d7 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 LibreMiami <packaging-guix@HIDDEN>
+;;; Copyright © 2021 Demis Balbach <db@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -94,6 +95,35 @@ (define-module (gnu packages telephony)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system qt))
 
+(define-public phonesim
+  (package
+    (name "phonesim")
+    (version "1.21")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.kernel.org/pub/scm/network/ofono/phonesim.git")
+                    (commit "a7c844d45b047b2dae5b0877816c346fce4c47b9")))
+              (sha256
+               (base32
+                "0rc1c2vr03dmi1dr3skj57v77ga9c22g29xs1qiphqms4isby9cq"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:configure-flags
+       (list "--enable-maintainer-mode"
+             "CC=gcc")))
+    (native-inputs
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("qtbase" ,qtbase-5)
+       ("qtdeclarative" ,qtdeclarative)))
+    (synopsis "Phone Simulator for modem testing")
+    (description "Phone Simulator for modem testing")
+    (home-page "https://git.kernel.org/pub/scm/network/ofono/phonesim.git")
+    (license license:gpl2+)))
+
 (define-public libilbc
   (package
     (name "libilbc")
-- 
2.33.0





Acknowledgement sent to Demis Balbach <db@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51779; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Nov 2021 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.